<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Picture Album</title>
    <style>
        #add-popup {
            position: absolute;
            width: 75%;
            padding: 5%;
            top: 30px;
            left: 10%;
            height: 300px;
            display: none;
            background-color: white;
            box-shadow: 1px 2px 10px gray;
        }
    </style>
</head>
<body>
    <button id="toggle-add">Add a Picture</button>
    <section id="add-popup">
        <button id="logout">Logout</button>
        <form id="login-form">
            <label for="username">Username : </label>
            <input type="text" name="username" id="username">

            <label for="password">Password : </label>
            <input type="password" name="password" id="password">

            <button>Login</button>
        </form>
        <form id="add-form">
            <label for="description">Description</label>
            <input type="text" id="description" name="description">
            <label for="date">Date</label>
            <input type="text" id="date" name="date">
            <label for="url">Picture</label>
            <input type="file" id="url" name="url">
            <button>Add picture</button>
        </form>
        <p id="errors"></p>
    </section>
    
    <section id="album"></section>
    
    <script src="main.js"></script>
</body>
</html>